Altibase.jdbc.driver.sharding.core

## Enum ShardSplitMethod

- java.lang.Object
- - java.lang.Enum<ShardSplitMethod>
  - - Altibase.jdbc.driver.sharding.core.ShardSplitMethod

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ShardSplitMethod>

    public enum ShardSplitMethod
    extends java.lang.Enum<ShardSplitMethod>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLONE`
`HASH`
`LIST`
`RANGE`
`SOLO`

### Method Summary

All Methods Static Methods Concrete Methods
`static ShardSplitMethod` `get(byte aVal)`
`static ShardSplitMethod` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ShardSplitMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HASH

    public static final ShardSplitMethod HASH

#### RANGE

    public static final ShardSplitMethod RANGE

#### LIST

    public static final ShardSplitMethod LIST

#### CLONE

    public static final ShardSplitMethod CLONE

#### SOLO

    public static final ShardSplitMethod SOLO

### Method Detail

#### values

    public static ShardSplitMethod[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ShardSplitMethod c : ShardSplitMethod.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ShardSplitMethod valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static ShardSplitMethod get(byte aVal)
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`